Skip to main content
Infrastructure/Lifecycle

ListBundles

List current lifecycle bundles

GET/api/v1/lifecycle/bundles

Operation ID

ListBundles

Since

1.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Current installed bundles

    Example: (nested array)

    • bundleName
      String

      Bundle name

      Example: zcf

    • bundleVersion
      String

      Current bundle version

      Example: v1.2.2

    • status
      String

      Current bundle status

      Example: current

    • manifestSetChecksum
      String

      Checksum of current installed manifest set

      Example: value

    • updatedAt
      String

      Last update time

      Example: 2026-01-15T08:00:00Z

    • bundleRelease
      String

      Current bundle release

      Example: 1

  • total
    Integer

    Total number of bundles

    Example: 1

  • limit
    Integer

    Maximum number of items returned

    Example: 1

  • offset
    Integer

    Number of items skipped

    Example: 10

  • Change Time

    AddedResponse fields bundleRelease
    View API